Name:           xapi-storage-plugins
Version:        1.6.0
Release:        1
Summary:        Storage plugins for the xapi toolstack
License:        LGPL
URL:            https://github.com/xapi-project/xapi-storage-plugins
#Source0:        https://github.com/xapi-project/%{name}/archive/v%{version}/%{name}-%{version}.tar.bz2
Source0:        https://code.citrite.net/rest/archive/latest/projects/XS/repos/%{name}/archive?at=v%{version}&format=tar.gz&prefix=%{name}-%{version}#/%{name}-%{version}.tar.gz

%define debug_package %{nil}
Requires:       xapi-storage
Requires:       nbd
Requires:       sm-transport-lib
Requires:       xenserver-gfs2-utils
Requires:       qemu-dp
BuildRequires:  xapi-storage
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  python2-mock
BuildRequires:  pylint
BuildRequires:  python-flake8
BuildRequires:  git

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires:  systemd

%description
Storage plugins for the xapi toolstack.

%prep
%autosetup -S git -p1

%build

%install
DESTDIR=%{buildroot} \
SM_PLUGINS_DIR=%{buildroot}/%{_libexecdir}/xapi-storage-script \
LIBS_DIR=%{buildroot}/usr/lib/python2.7/site-packages/xapi/storage/libs \
make install

%check
test/run_python_unittests.sh
cp .coverage %{buildroot}
cp coverage.xml %{buildroot}
cp -r htmlcov %{buildroot}/htmlcov

%preun
%systemd_preun qemuback.service

%postun
%systemd_postun qemuback.service

%files
%doc README.md LICENSE
%{_libexecdir}/
/usr/lib/python2.7/site-packages/xapi/storage/libs/
%{_bindir}/qemuback.py
%{_unitdir}/qemuback.service


%post
echo '@DLM_CONFIG@' >> /etc/sysconfig/dlm
%systemd_post qemuback.service

%package testresults
Summary:  test results for xapi-storage-plugins package

%description testresults
The package contains the build time test results for the xapi-storage-plugins package

%files testresults
/.coverage
/coverage.xml
/htmlcov

%changelog
* Thu Apr 19 2018 marksy <mark.syms@citrix.com> - 1.6.0-1
- CA-288346: CA-286712: CA-287719: Do not mount GSF2 fs in probe

* Tue Apr 17 2018 marksy <mark.syms@citrix.com> - 1.5.0-1
- CA-287880: don't close the lockspace if we never opened it
- CA-285843: catch database errors on detach in case all IO paths are down.

* Tue Apr 03 2018 Edwin Török <edvin.torok@citrix.com> - 1.4.0-1
- CP-26341: Update GFS2 SR implementation to use new SMAPIV3 API
- CP-26341: Update filebased and component test for new SMAPIV3 API
- CP-26341: Update nfs-ng to new SMAPIv3 API
- CP-24753: Implement SR.probe for GFS2 using transport library
- CP-24753: Update to handle correct form of probe results
- Use qcow2 by default
- use snapshot instead of snapshot_sync
- Improve component stress test
- Use qemu-dp binaries
- Pep8 the component_test scripts
- Fix pep8 violation

* Tue Mar 27 2018 Edwin Török <edvin.torok@citrix.com> - 1.3.0-1
- CP-26955: cleanup the VDI and refresh tables when host fences
- CP-26955: ensure that remove_host is idempotent, multiple hosts may detect the fence
- Stress test: Ensure that the leaf refresh is performed within a lock
- CA-284349: create call_unlogged and use in dlm_monitor
- CP-27426: check that the VDI is not already active when activating
- Update storage plugins to support qdisk datapath with qcow2 files.

* Thu Mar  1 2018 Mark Syms <mark.syms@citrix.com> - 1.2.0-1
- CP-26953: Add and remove host database entries on attach and detach
- CP-26955: Monitor DLM status and remove fenced nodes from the DB
- Add SR_MULTIPATH to gfs2 SR capabilities
- CA-283728: bump SMAPI API version

* Tue Feb 13 2018 Mark Syms <mark.syms@citrix.com> - 1.1.0-1
- Enable leaf coalesce
- Support shared writeable access volumes
- Add transport library
- Add QEMU qdisk datapath
- Code cleanup, pyflake and unit test strengthening
- HA support when using corosync clusterstack

* Wed Oct 25 2017 Mark Syms <mark.syms@citrix.com> - 1.0.0-2
- Export unit test code coverage data from build

* Wed Sep 30 2015 Robert Breker <robert.breker@citrix.com> - 0.2.1-2
- Don't overwrite the upstream default datapath plugin for raw+file

* Tue Sep 15 2015 David Scott <dave.scott@citrix.com> - 0.2.1-1
- Update to 0.2.1

* Fri Sep 11 2015 David Scott <dave.scott@citrix.com> - 0.1-1
- Initial package
